import request from '@/utils/request'

// 查询实名认证订单列表
export function listAuthOrder(query) {
  return request({
    url: '/xq/authOrder/list',
    method: 'get',
    params: query
  })
}

// 查询实名认证订单详细
export function getAuthOrder(id) {
  return request({
    url: '/xq/authOrder/' + id,
    method: 'get'
  })
}

// 新增实名认证订单
export function addAuthOrder(data) {
  return request({
    url: '/xq/authOrder',
    method: 'post',
    data: data
  })
}

// 修改实名认证订单
export function updateAuthOrder(data) {
  return request({
    url: '/xq/authOrder',
    method: 'put',
    data: data
  })
}

// 删除实名认证订单
export function delAuthOrder(id) {
  return request({
    url: '/xq/authOrder/' + id,
    method: 'delete'
  })
}
